(* ::Package:: *)

(* SCTM input parameters *)

MINPAR=     {{1,m0},
             {2,m12},
             {3,TanBeta},
             {4,MuInput},
             {5,Azero},
             {6,Bzero},
             {7,v3Input},
             {8,lambdaInput}};
             
(* GMSB input parameters *)             
RealParameters = {TanBeta,v3Input,lambdaInput};

ParametersToSolveTadpoles = {mHd2,mHu2,mChi2,mPhi2,mPsi2};

RenormalizationScaleFirstGuess = m0^2 + 4 m12^2;
RenormalizationScale = MSu[1]*MSu[6];

ConditionGUTscale = g1 == g2;


(* GUT conditions SCTM *)

BoundaryHighScale={
{g1, Sqrt[(g1^2 + g2^2)/2]},
{g2, g1},
{T[Ye], Azero*Ye},
{T[Yd], Azero*Yd},
{T[Yu], Azero*Yu},
{\[Lambda],lambdaInput},
{\[Lambda]3,-lambdaInput},
{T[\[Lambda]],  Azero*lambdaInput},
{T[\[Lambda]3], -Azero*lambdaInput},
{\[Mu], MuInput},
{\[Mu]\[CapitalDelta],MuInput},
{B[\[Mu]], Bzero*MuInput},
{B[\[Mu]\[CapitalDelta]],-Bzero*MuInput},
{mq2, DIAGONAL m0^2},
{ml2, DIAGONAL m0^2},
{md2, DIAGONAL m0^2},
{mu2, DIAGONAL m0^2},
{me2, DIAGONAL m0^2},
{MassB, m12},
{MassWB,m12},
{MassG,m12}
};


(*UseHiggs2LoopMSSM = True;*)
 UseHiggs2LoopMSSM = False;

QuadruplePrecision = {};

ListDecayParticles = Automatic;
ListDecayParticles3B = Automatic;



BoundarySUSYScale={
 {v3,v3Input},
 {v2,Sqrt[2 mz2/(g1^2+g2^2)-4 v3Input^2]},
 {vd,Sqrt[4 mz2/(g1^2+g2^2)-8 v3Input^2]*Cos[ArcTan[TanBeta]]},
 {vu,Sqrt[4 mz2/(g1^2+g2^2)-8 v3Input^2]*Sin[ArcTan[TanBeta]]}
};

(* FlagLoopContributions = True; *)

DefaultInputValues = {m0 -> 1700, m12 -> 1500, TanBeta->1,MuInput->-250,Azero->0,Bzero->1000,v3Input->18,lambdaInput->0.5};
