(* ::Package:: *)

ParameterDefinitions = { 

{g1,        { Description -> "Hypercharge-Coupling"}},
{g2,        { Description -> "Left-Coupling"}},
{g3,        { Description -> "Strong-Coupling"}},  
{e,         { Description -> "electric charge"}},				
{AlphaS,    {Description -> "Alpha Strong"}},				  
{Gf,        { Description -> "Fermi's constant"}},
{aEWinv,    { Description -> "inverse weak coupling constant at mZ"}},
				
{Yu,        { Description -> "Up-Yukawa-Coupling"   }}, 
{Yd,        { Description -> "Down-Yukawa-Coupling"}},
{Ye,        { Description -> "Lepton-Yukawa-Coupling"}}, 

{T[Ye],     { Description -> "Trilinear-Lepton-Coupling"}},
{T[Yd],     { Description -> "Trilinear-Down-Coupling"}}, 
{T[Yu],     { Description -> "Trilinear-Up-Coupling"}}, 

{\[Mu],     { Description -> "Mu-parameter"}}, 
{\[Mu]\[CapitalDelta],    { Description -> "Triplet-Mu-parameter",LaTeX->"\\mu_{\Delta}",
          OutputName -> mu3, LesHouches -> {MSOFT,110}}}, 
{B[\[Mu]],  { Description -> "Bmu-parameter"}},     
{B[\[Mu]\[CapitalDelta]],  { Description -> "Triplet-Bmu-parameter",LaTeX->"B_{\Delta}",
           OutputName -> Bmu3,LesHouches -> {MSOFT,111}}},    

{mq2,       { Description -> "Softbreaking left Squark Mass"}},
{me2,       { Description -> "Softbreaking right Slepton Mass"}},
{ml2,       { Description -> "Softbreaking left Slepton Mass"}},
{mu2,       { Description -> "Softbreaking right Up-Squark Mass"}},
{md2,       { Description -> "Softbreaking right Down-Squark Mass"}},

{mHd2,      { Description -> "Softbreaking Down-Higgs Mass"}}, 
{mHu2,      { Description -> "Softbreaking Up-Higgs Mass"}}, 
{mChi2,      { Description -> "Softbreaking chi-Higgs Mass",OutputName -> mChi2,
               LaTeX->"m^2_{\chi}",LesHouches -> {MSOFT,112}}}, 
{mPhi2,      { Description -> "Softbreaking phi-Higgs Mass",OutputName -> mPhi2,
               LaTeX->"m^2_{\phi}",LesHouches -> {MSOFT,113}}}, 
{mPsi2,      { Description -> "Softbreaking psi-Higgs Mass",OutputName -> mPsi2,
               LaTeX->"m^2_{\psi}",LesHouches -> {MSOFT,112}}}, 

{MassB,     { Description -> "Bino Mass parameter"}},
{MassWB,    { Description -> "Wino Mass parameter"}},
{MassG,     { Description -> "Gluino Mass parameter"}},

{v2,        { Description -> "Doublet-VEV",LaTeX->"v_{H}",OutputName->v2,LesHouches ->{HMIX,201}}}, 
{v3,        { Description -> "trilet-VEV",LaTeX->"v_{\\Delta}",OutputName->v3,LesHouches ->{HMIX,202}}}, 
{vd,        { Description -> "Down-VEV",LaTeX->"v_{d}"}}, 
{vu,        { Description -> "Up-VEV",LaTeX->"v_{u}"}},                              
{v,         { Description -> "EW-VEV"}},
            
{\[Beta],   { Description -> "Pseudo Scalar mixing angle"  }},             
{TanBeta,   { Description -> "Tan Beta" }},              
{\[Alpha],  { Description -> "Scalar mixing angle" }},                          
             
    
{ZD,        { Description -> "Down-Squark-Mixing-Matrix" }},             
{ZU,        { Description -> "Up-Squark-Mixing-Matrix"}},             
{ZE,        { Description -> "Slepton-Mixing-Matrix"}}, 
{ZV,        { Description->"Sneutrino Mixing-Matrix"}},   
{ZH,        { Description->"Scalar-Mixing-Matrix", 
               Dependence -> None,
               DependenceOptional -> None,
               DependenceNum -> None }},
{ZA,        { Description->"Pseudo-Scalar-Mixing-Matrix", 
               Dependence -> None,
               DependenceOptional -> None,
               DependenceNum -> None }},
{ZP,        { Description->"Charged-Mixing-Matrix", 
               Dependence -> None,
               DependenceOptional -> None,
               DependenceNum -> None }},                      
                                          
{ZN,        { Description->"Neutralino Mixing-Matrix" }}, 
{UP,        { Description->"Chargino-plus Mixing-Matrix"}}, 
{UM,        { Description->"Chargino-minus Mixing-Matrix"}}, 
{ZPP,       { Description->"double charged scalar mixing", OutputName->ZPP,
                 LaTeX->"Z^{pp}",LesHouches -> DOUBLECHARGEMIX}},
{ZMM,       { Description->"double charged scalar mixing", OutputName->ZMM,
                 LaTeX->"Z^{mm}",LesHouches -> DOUBLECHARGEMIX}},
{UPP,        { Description->"double Chargino-plus Mixing-Matrix",OutputName-> UPP,
                LaTeX->"V^{pp}", LesHouches -> DOUBLECHARGEMIX}}, 
{UMM,        { Description->"double Chargino-minus Mixing-Matrix",OutputName->UMM,
                LaTeX->"U^{mm}",LesHouches -> DOUBLECHARGEMIX}}, 

{ZEL,       { Description ->"Left-Lepton-Mixing-Matrix"}},
{ZER,       { Description ->"Right-Lepton-Mixing-Matrix" }},                          
{ZDL,       { Description ->"Left-Down-Mixing-Matrix"}},                       
{ZDR,       { Description ->"Right-Down-Mixing-Matrix"}},              
{ZUL,       { Description ->"Left-Up-Mixing-Matrix"}},                        
{ZUR,       { Description ->"Right-Up-Mixing-Matrix"}},           

(*              
{ThetaW,    { Description -> "Weinberg-Angle",
             DependenceNum -> ArcSin[Sqrt[1 - (Mass[VWm]^2 - g2^2*vT^2)/Mass[VZ]^2]]}},  
*)
{\[Mu],     { Description -> "Mu-parameter"}}, 
{ThetaW,    { Description -> "Weinberg-Angle",
             DependenceNum -> None
	      }},                          

{PhaseGlu,  { Description -> "Gluino-Phase" }},

{ZZ, {Description ->   "Photon-Z Mixing Matrix"}},
{ZW, {Description -> "W Mixing Matrix" }},
{ZfW, {Description ->    "Wino Mixing Matrix"}},

{\[Lambda], {LaTeX -> "\\lambda",
             OutputName -> lam,
             LesHouches -> {HMIX,30}} },
{\[Lambda]3, {LaTeX -> "\\lambda_{3}",
             OutputName -> lam3,
             LesHouches -> {HMIX,39}  } },
{T[\[Lambda]], {LaTeX -> "T_{\\lambda}",
             OutputName -> Tlam,
             LesHouches -> {HMIX,33}  } },
{T[\[Lambda]3], {LaTeX -> "T_{\\lambda_{3}}",
             OutputName -> Tlam3,
             LesHouches -> {HMIX,38}  } }                          
 }; 
 

